EC_YAML_IMPORT(3)

NAME
ec_yaml_import - Parse a YAML file and build an ec_node tree from it.

SYNOPSIS
#include <ecoli/yaml.h>

struct ec_node * ec_yaml_import(
    const char   *filename   /* The path to the file to be parsed. */
);

RETURN VALUE

The ec_node tree on success, or NULL on error (errno is set). The returned node must be freed by the caller with ec_node_free().

SEE ALSO

ec_yaml_export(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.